#
# spec file for package python-jaraco.logging
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-jaraco.logging
Version:        3.3.0
Release:        2.1
Summary:        Tools to work with logging
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/jaraco/jaraco.logging
Source0:        https://files.pythonhosted.org/packages/source/j/jaraco.logging/jaraco.logging-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.8}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools_scm >= 3.4.1}
BuildRequires:  %{python_module tempora}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-tempora
BuildArch:      noarch
%python_subpackages

%description
jaraco.logging Tools for working with logging.

%prep
%setup -q -n jaraco.logging-%{version}
rm -rf jaraco.logging.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
#  work around for gh#pytest-dev/pytest#3396 until gh#pytest-dev/pytest#10088 lands in a pytest release
touch jaraco/__init__.py
cp -r %{python3_sitelib}/jaraco/* jaraco/
%pytest --doctest-modules jaraco/logging.py

%files %{python_files}
%license LICENSE
%doc docs/*.rst README.rst
%{python_sitelib}/jaraco[_.]logging-%{version}.dist-info
%{python_sitelib}/jaraco/logging.py*
%dir %{python_sitelib}/jaraco
%pycache_only %dir %{python_sitelib}/jaraco/__pycache__
%pycache_only %{python_sitelib}/jaraco/__pycache__/logging*.py*

%changelog
* Tue Apr  1 2025 Markéta Machová <mmachova@suse.com>
- Make it compatible with older setuptools
* Wed Mar 26 2025 Steve Kowalik <steven.kowalik@suse.com>
- Normalize metadata directory name.
* Wed Dec 27 2023 Dirk Müller <dmueller@suse.com>
- update to 3.3.0:
  * Replaced deprecated datetime.utcfromtimestamp. (#3)
* Sat Dec 16 2023 Dirk Müller <dmueller@suse.com>
- update to 3.2.0:
  * Require Python 3.8 or later.
* Tue May 23 2023 Ben Greiner <code@bnavigator.de>
- Don't test other jaraco packages: would need static wheel
* Mon Aug 29 2022 Ben Greiner <code@bnavigator.de>
- Update to 3.1.2
  * Refresh packaging. Require Python 3.7 or later.
- v3.1.1: Rely on PEP 420 for namespace package.
- v3.1.0: Refresh packaging. Remove unneeded dependency on six.
- Switch to PEP517 and remove obsolete jaraco.base requirement
* Mon Mar  9 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 3.0.0
  * Require Python 3.6 or later.
* Tue Feb 26 2019 John Vandenberg <jayvdb@gmail.com>
- Add LICENSE
- Remove bcond_with test, allowing tests suite to run
- Compile manually due to switch to pkgutil namespace technique
- Remove undesirable build dependencies pytest-flake8, pytest-sugar &
  collective.checkdocs
- Add missing runtime dependencies on python-jaraco.base, six & tempora
- Update from v1.5.2 to v2.0
  * Switch to pkgutil namespace technique for the ``jaraco`` namespace.
* Thu Aug 23 2018 dheidler@suse.de
- Initial Package
